version: '3.6'
services:
  web: 
    image: 'docker.nikatron.com/nikatron/savee:latest' 
    container_name: savee
    restart: always 
    ports:
      - '80:80'    
    volumes:
      - '/srv/savee/backup:/app/savee/backup'
      - '/srv/savee/config:/app/savee/config'
      - '/srv/savee/data:/app/savee/data'
      - '/srv/savee/log:/app/savee/log'
      - '/srv/savee/scripts:/app/savee/scripts'
      - '/srv/savee/update:/app/savee/update'
      - '/srv/docker/pipe:/hostpipe'
      - /etc/timezone:/etc/timezone:ro
      - /etc/localtime:/etc/localtime:ro

    shm_size: '256m'

networks:
  savee_network:
    driver: bridge
    ipam:
      driver: default
      config:
        - subnet: 10.255.255.0/24